Skip to content
WP Engine Documentation

Cancel a scheduled site transfer

DELETE
/sites/{site_id}/site_transfers/{transfer_id}
curl --request DELETE \
--url https://api.wpengineapi.com/v1/sites/example/site_transfers/example \
--header 'Authorization: Basic <credentials>'

Description

Cancels a site transfer. Only transfers that have not yet started can be cancelled; a transfer that has already started will return 409 Conflict.

site_id
required
string format: uuid

ID of the site

transfer_id
required
string format: uuid

ID of the site transfer to cancel

Transfer cancelled

Media type application/json

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Conflict — transfer has already started and cannot be cancelled

Media type application/json
object
message
required

A message regarding the conflict that occurred

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Transfer has already started and cannot be cancelled"
}

Too many requests

Media type application/json

Internal Server Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

Service unavailable

Media type application/json